aboutsummaryrefslogtreecommitdiffstats
path: root/travis/setup-phpbb-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'travis/setup-phpbb-test.sh')
-rwxr-xr-xtravis/setup-phpbb-test.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/travis/setup-phpbb-test.sh b/travis/setup-phpbb-test.sh
new file mode 100755
index 0000000000..25743ff2b1
--- /dev/null
+++ b/travis/setup-phpbb-test.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+#
+# This file is part of the phpBB Forum Software package.
+#
+# @copyright (c) phpBB Limited <https://www.phpbb.com>
+# @license GNU General Public License, version 2 (GPL-2.0)
+#
+# For full copyright and license information, please see
+# the docs/CREDITS.txt file.
+#
+set -e
+set -x
+
+cd tests
+php ../composer.phar install --dev --no-interaction --prefer-source
+cd ..